
Redmine - Feature #10126

Add members of subprojects in the assignee and author filters

2012-02-01 13:31 - John Wilcox

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

In our organization we are using Redmine for task management ( no software development, revision control etc) using only the

"Issue tracking" module. Since almost every organization having more than 25 employees has an organizational hierarchy/structure,

so have we. Since the original request was to track issues by organizational units, we replicated our hierarchy to Redmine. This

means that every department is a project. For example, the CIO has three differenet departments under him like this

Organization

CIO

1. Infrastructure

2. Maintenance

3. Service Desk

CSO

1. Dep 1

2. Dep 2

3. Dep 3

NB! "Organization", "CSO" and "CIO" are projects also!

Out CEO wants to click on the organization and see for example all tasks which have been assigned to a specific person without

knowing what department that person is currently working in.

At the moment I have solved this by adding every user to the "Organization" project. That way the CEO can filter all issues based on

the assignee. By default only users specifically added to a project can be filtered on.

So, to put in a more general way: it would be nice, if users from subprojects could be used as a filter in the main project view. If listing

issues for the main project, all issues from the subprojects will be displayed also so I think that adding this filtering function should not

be a difficult problem to solve.

Related issues:

Has duplicate Redmine - Feature #2055: Assigned to list for parent project in... Closed 2008-10-20

Associated revisions

Revision 8747 - 2012-02-01 21:07 - Jean-Philippe Lang

Adds members of subprojects in assignee and author filters (#10126).

History

#1 - 2012-02-01 21:07 - Jean-Philippe Lang

- Category set to Issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

It makes perfect sense, added in r8747.
https://www.redmine.org/projects/redmine/repository/svn/revisions/8747


#2 - 2012-02-01 21:08 - Jean-Philippe Lang

- Subject changed from Recursive assignee filtering to Add members of subprojects in the assignee and author filters

#3 - 2018-09-08 08:57 - Marius BĂLTEANU

- Has duplicate Feature #2055: Assigned to list for parent project in issue filter missing users of child projects added
